Summary: X bell replacement
Name: xbelld
Version: 0.3.4
Release: 3%{?dist}
License: GPLv3+
Group: Applications/Multimedia
URL: http://code.google.com/p/xbelld/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://xbelld.googlecode.com/files/%{name}-%{version}.tbz2
Source1: %{name}.sh
Patch0: xbelld-0.3.4-fixes.patch
Patch1: xbelld-0.3.4-makefile.patch
Requires: xorg-x11-xinit
BuildRequires: alsa-lib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A tiny utility to aid people who either don't like the default PC
speaker beep, or use an ALSA driver that doesn't yet have support for
the PC speaker (e.g. the AD1981 chipset in the snd_hda_intel driver).

xbelld performs a given action every time the X bell is rung. The
actions xbelld can currently perform include running a specified
program, emulating the PC speaker beep using your sound card
(default), or playing a PCM encoded WAVE file.

xbelld can also throttle the bell if it is rung too often (e.g. some
terminal program goes crazy), and/or disable the audible bell (so
that you don't get the annoying PC speaker beep in addition to your
xbelld action).

%prep
%setup -q
%patch0 -p1 -b .fixes
%patch1 -p1 -b .makefile

%build
%{__make} CFLAGS="%{optflags} -DVERSION=\\\"%{version}\\\" -std=gnu99 -DHAVE_ALSA"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1

%{__install} -m 0755 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/
%{__install} -m 0755 -p %{name} %{buildroot}%{_bindir}/
%{__install} -m 0644 -p %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%config(noreplace) %{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Feb 11 2021 Simon Matter <simon.matter@invoca.ch> 0.3.4-3
- add requirement for xorg-x11-xinit
- add default start script

* Tue Dec 16 2014 Simon Matter <simon.matter@invoca.ch> 0.3.4-2
- fix makefile to build on el7

* Mon Jun 17 2013 Simon Matter <simon.matter@invoca.ch> 0.3.4-1
- upgrade to 0.3.4

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 0.3.3-2
- mass rebuild

* Thu Nov 04 2010 Simon Matter <simon.matter@invoca.ch> 0.3.3-1
- initial package
